# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/4/6
import os
import sys

sys.path.append(os.getcwd())
from common.common import Common
from common.feishu import Feishu
from weixinzhishu.weixinzhishu_score.weixinzhishu_today_score import TodayScore


def main(log_type, crawler, env):
    Common.logger(log_type, crawler).info("开始抓取今日微信指数\n")
    TodayScore.get_today_wechat_score(log_type, crawler, env)
    Common.del_logs(log_type, crawler)
    Feishu.bot(log_type, crawler, "今日微信指数抓取完毕")
    Common.logger(log_type, crawler).info("今日微信指数抓取完毕\n")


if __name__ == "__main__":
    main("today-score", "weixinzhishu", "prod")